python-pyosmium_2.6.0-1_amd64.deb


Advertisement

Description

python-pyosmium - Osmium library bindings for Python

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pyosmium
Package version 2.6.0
Package release 1
Package architecture amd64
Package type deb
Installed size 2.15 KB
Download size 375.26 KB
Official Mirror archive.ubuntu.com
The PyOsmium module allows you to access some of the features of the Osmium
library from Python code.
PyOsmium has extensive support for all types of OSM entities: nodes, ways,
relations, and changesets. It allows reading from OSM files in XML and PBF
formats, including change files and full history files. Its easy to use
handler interface allows you to quickly write data filtering and conversion
functions.
This package contains the PyOsmium module for Python 2.

Alternatives

Package Version Architecture Repository
python-pyosmium_2.6.0-1_i386.deb 2.6.0 i386 Ubuntu Universe
python-pyosmium - - -

Requires

Name Value
libboost-python1.58.0 -
libbz2-1.0 -
libc6 >= 2.14
libexpat1 >= 2.0.1
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
python << 2.8
python >= 2.7~
python:any >= 2.7.5-5~
zlib1g >= 1:1.2.0

Provides

Name Value
python2.7-pyosmium -

Download

Type URL
Binary Package python-pyosmium_2.6.0-1_amd64.deb
Source Package pyosmium

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pyosmium deb package:
    # sudo apt-get install python-pyosmium

Files

Path
/usr/lib/python2.7/dist-packages/pyosmium-2.6.0.egg-info
/usr/lib/python2.7/dist-packages/osmium/__init__.py
/usr/lib/python2.7/dist-packages/osmium/_osmium.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/osmium/geom.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/osmium/index.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/osmium/io.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/osmium/osm/__init__.py
/usr/lib/python2.7/dist-packages/osmium/osm/_osm.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/osmium/osm/mutable.py
/usr/share/doc/python-pyosmium/changelog.Debian.gz
/usr/share/doc/python-pyosmium/copyright
/usr/share/doc/python-pyosmium/examples/amenity_list.py
/usr/share/doc/python-pyosmium/examples/convert.py
/usr/share/doc/python-pyosmium/examples/create_nodecache.py
/usr/share/doc/python-pyosmium/examples/filter_coastlines.py
/usr/share/doc/python-pyosmium/examples/normalize_boolean.py
/usr/share/doc/python-pyosmium/examples/osm_diff_stats.py
/usr/share/doc/python-pyosmium/examples/osm_file_stats.py
/usr/share/doc/python-pyosmium/examples/pub_names.py
/usr/share/doc/python-pyosmium/examples/road_length.py
/usr/share/doc/python-pyosmium/examples/use_nodecache.py
/usr/share/lintian/overrides/python-pyosmium

Changelog

2016-02-06 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.6.0-1) unstable; urgency=medium
* New upstream release.
* Update Vcs-Git URL to use HTTPS.
* Bump minimum required libosmium2-dev to 2.6.0.
* Update copyright file, update years for Sarah Hoffmann.
* Add patch to fix 'allows one to' typo.
* Update lintian override for renamed modules.
2015-12-05 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.5.4-1) unstable; urgency=medium
* Move from experimental to unstable.
2015-12-03 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.5.4-1~exp1) experimental; urgency=medium
* New upstream release.
* Bump minimum required libosmium2-dev to 2.5.4.
2015-11-18 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.5.3-1~exp1) experimental; urgency=medium
* New upstream release.
* Bump minimum required libosmium2-dev to 2.5.3.
* Update Vcs-Browser URL to use HTTPS.
2015-09-02 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.4.1-2) unstable; urgency=medium
* Don't ignore test failures, fixed upstream.
2015-08-31 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.4.1-1) unstable; urgency=medium
* New upstream release.
* Bump minimum required libosmium2-dev to 2.4.1.
2015-08-21 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.3.0-1) unstable; urgency=medium
* New upstream release.
* Drop build dependencies on osmpbf & protobuf.
* Bump minimum required libosmium2-dev to 2.3.0.
2015-07-04 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.2.0-1) unstable; urgency=medium
* New upstream release.
* Handle other extensions in filenamemangle.
* Require at least libosmium version 2.2.0.
2015-06-25 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.1.0-2) unstable; urgency=medium
* Ignore test failures instead of failing the entire build.
2015-06-23 - Bas Couwenberg <sebastic@debian.org>
pyosmium (2.1.0-1) unstable; urgency=medium
* Initial release (Closes: #779932)

See Also

Package Description
python-pypcap_1.1.2+debian-2.2_amd64.deb object-oriented Python interface for libpcap
python-pypdf2_1.25.1-1_all.deb Pure-Python library built as a PDF toolkit (Python 2)
python-pypdf_1.13-3_all.deb PDF toolkit implemented solely in Python
python-pyperclip_1.5.11-1_all.deb Cross-platform clipboard module for Python
python-pypm_0.0.7-8_amd64.deb Python interface to libportmidi
python-pypoker-eval_138.0-1.2_amd64.deb python interface to poker hand evaluator library development files
python-pyproj_1.9.5.1-1build1_amd64.deb Python interface to PROJ.4 library
python-pyptlib_0.0.6-1_all.deb library for Tor pluggable transports written in Python
python-pypump-doc_0.6-1_all.deb interface to the pump.io APIs (Common Documentation)
python-pypump_0.6-1_all.deb interface to the pump.io APIs (Python 2)
python-pypuppetdb_0.1.1+git080614-1_all.deb interface to the PuppetDB REST API
python-pypureomapi_0.4-1_all.deb ISC DHCP OMAPI protocol implementation in Python2
python-pypy.sandbox_5.0.1+dfsg-4_amd64.deb sandboxed PyPy interpreter
python-pyqt5.qsci_2.9.1+dfsg-4build1_amd64.deb Python bindings for QScintilla 2 with Qt 5
python-pyqt5.qtmultimedia_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's Multimedia module
Advertisement
Advertisement